Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.gson
Enum LongSerializationPolicy

    java.lang.Object
      java.lang.Enum<LongSerializationPolicy>
          com.google.gson.LongSerializationPolicy

All Implemented Interfaces:
  Serializable, Comparable<LongSerializationPolicy>

    public enum LongSerializationPolicy

extends Enum<LongSerializationPolicy>

Defines the expected format for a `long` or `Long` type when its serialized.

Since:
  1.3
Author:
  Inderjeet Singh, Joel Leitch

Enum Constant Summary
`DEFAULT` This is the "default" serialization policy that will output a `long` object as a JSON number.
`STRING` Serializes a long value as a quoted string.

Method Summary
`abstract JsonElement` | `serialize(Long value)` Serialize this `value` using this serialization policy.
`static LongSerializationPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LongSerializationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final LongSerializationPolicy DEFAULT

  This is the "default" serialization policy that will output a `long` object as a JSON number. For example, assume an object has a long field named "f" then the serialized output would be: `{"f":123}`.

### STRING

    public static final LongSerializationPolicy STRING

  Serializes a long value as a quoted string. For example, assume an object has a long field named "f" then the serialized output would be: `{"f":"123"}`.

Method Detail

### values

    public static LongSerializationPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LongSerializationPolicy c : LongSerializationPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LongSerializationPolicy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### serialize

    public abstract JsonElement serialize(Long value)

  Serialize this `value` using this serialization policy.

  Parameters:
    `value` - the long value to be serialized into a `JsonElement`
  Returns:
    the serialized version of `value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008–2014 Google, Inc.. All rights reserved.